[oven]
stream_check = "5s"
policy_expire = "3h"
policy_signed_key = "CHANGEME"

[oven.client]
url           = "http://1.2.3.4:8081"
token         = "ome-access-token"
default_vhost = "default"
default_app   = "stream"

[webserver]
listen     = ":8090"
access_log = true
webroot    = "../media-ui/dist"

[webserver.session]
name   = "mysession"
secret = "CHANGEME"

# if ACME / Let's Encrypt used, uncomment listen
[webserver.acme]
enable  = false
domains = ["example1.com", "example2.com"]
cache   = "/var/www/.cache"

[stream_defaults]
poster_url  = "https://ingress.media.sum7.eu/app/{CHANNEL_ID}/thumb.png"
preview_url = "https://ingress.media.sum7.eu/app/{CHANNEL_ID}/thumb.png"

[stream_urls.ingress]
# ports are needed for SignedPolicy
webrtc = "wss://ingress.media.sum7.eu/app/{ID}?direction=send&transport=tcp"
rtmp   = "rtmp://ingress.media.sum7.eu:1935/app/{ID}"

[[stream_urls.stream_sources]]
label     = "Realtime"
type      = "ll-hls"
file      = "https://ingress.media.sum7.eu/app/{ID}/llhls.m3u8"
framerate = 0

[database]
debug     = true
testdata  = true
log_level = 0

[database.connection]
hostname      = "localhost:26257" 
username      = "root"
password      = ""
dbname        = "media_server"
extra_options = "sslmode=disable"
